Изменения в инфраструктуре CLOUD-хостинга



Совершен переход с традиционного Apache Handler PHP на LSAPI
подробнее www.ispsystem.ru/news/lsapi

Переход конечно же был не безболезненным, но мы всегда готовы помочь с какими-либо остаточными проблемами на сайтах наших клиентов.
  • Режим работы Apache (native php) для сайтов был отключен и заменен режимом LSAPI (доступно к выбору PHP 5.6 / 7.0 на весь аккаунт). Режимы Fast-CGI (использовать не рекомендуется), nginx+php-fpm — остались в списке выбора.
  • Версия PHP 5.4 более не поддерживается хостингом, пожалуйста обновите ваши сайты для поддержки 5.6 и выше. В частности могут возникнуть проблемы с функцией mysql_connect, поддержка как минимум mysqli необходима.
  • Сайты, кодированы на windows-1251 не поддерживаются хостингом. Только utf-8.
  • Поддержка http2.

Вероятные проблемы и их решения:
  • Ошибка 500 / Ошибка mysqli или mysql. Перейдите в меню настройки PHP ->Модули LSAPI, активируйте один или одновременно несколько модулей nd_msqli, nd_mysql, pdo_* в зависимости от поддержки на вашем сайте.
  • Не отобраются изображения на сайте, включая каптчи. Ошибка функции mb_string. Активируйте модули gd, imagick, mbstring (см. предыдущий пункт).
  • Проблема записи в определенные папки, проблема прав доступа. Убедитесь что www-домен работает в режиме LSAPI. Обратитесь в поддержку.
  • Сломанная кодировка (кракозябры). Смените кодировку в свойствах WWW-домена или обратитесь в поддержку, если это не помогло. Ваш сайт должен работать на utf-8. В частности эта проблема наблюдается с DLE.

0 комментариев

Оставить комментарий